Show / Hide Table of Contents

# Struct AgentLobby

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentLobby

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### DataCenter

##### Declaration

    public byte DataCenter

##### Field Value

Type | Description
--- | ---
System.Byte |

| Improve this Doc View Source

#### IdleTime

##### Declaration

    public uint IdleTime

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### SelectedCharacterId

##### Declaration

    public ulong SelectedCharacterId

##### Field Value

Type | Description
--- | ---
System.UInt64 |

| Improve this Doc View Source

#### WorldId

##### Declaration

    public ushort WorldId

##### Field Value

Type | Description
--- | ---
System.UInt16 |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentLobby*Instance()

##### Returns

Type | Description
--- | ---
AgentLobby* |